/*
 * Copyright 2021 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *
 *  http://aws.amazon.com/apache2.0
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

/// Shared values
const REGION = 'us-west-2';
const USER_AGENT = 'aws-amplify-cli/2.0';
const VERSION = '1.0';

/// Auth values
const USERPOOL_ID = 'us-west-2_my_up_id';
const IDPOOL_ID = 'us-west-2:my-poolid-id';
const APPCLIENT_ID = 'auth_app_client_id';
const APPCLIENT_SECERT = 'auth_app_client_secret';
const OAUTH_DOMAIN = 'oauth_domain';
const OAUTH_SIGNIN = 'myapp://signin/';
const OAUTH_SIGNOUT = 'myapp://signout/';
const AUTHFLOW_SRP = 'USER_SRP_AUTH';
const AUTHFLOW_API_KEY = 'API_KEY';
const AUTHFLOW_IAM = 'AWS_IAM';
const API_KEY = 'MY_KEY';

/// Analytics values
const ANALYTICS_APP_ID = 'analytics_app_id';

/// API values
const GRAPHQL_TYPE = 'GraphQL';
const GRAPHQL_ENDPOINT = 'graphql/endpoint';
const REST_TYPE = 'REST';
const REST_ENDPOINT = 'rest/endpoint';
const COGNITO_AUTH_TYPE = 'AMAZON_COGNITO_USER_POOLS';
const IAM_AUTH_TYPE = 'AWS_IAM';
const DATABASE_PREFIX = 'testconfig_AMAZON_COGNITO_USER_POOLS';

/// Storage values
const BUCKET = 'mybucket';
const ACCESS = 'guest';

// ignore_for_file: constant_identifier_names
